Hi All,
i was wondering if i could get some help with this routine. i'm trying to create a view by using a boundary. what i'm trying to do is make a one click print lisp by picking inside of a rectangle around my title block and creating a boundary thus the view to use for printing.
thanks,
Brian
;;;--- Printpage.lsp
(defun C:prp()
;;;--- Turn the command echo off
(setvar "cmdecho" 0)
;;;--- Get the inside selection point
(setq pt(getpoint "\n Select Inside of Rectangle : "))
;;;--- Create a Boundary (command "-boundary" "Advanced" "Island" "No" "Nearest" "" pt "")
(command "view" "entlast" "pt" )
(command "-view" "r" "pt" "plot" "yes" "model" "Laserjet 5.pc3" "ANSI A (8.50 x 11.00 INCHES)" "inches" "portrait" "no"
"v" "pt" "fit" "0.00,0.25" "yes" "tfc.ctb" "yes" "no" "no" "yes"
"yes")
;;;--- Turn the command echo back on
(setvar "cmdecho" 1)
;;;--- Suppress the last echo for a clean exit
(princ)
)